import sys
def set_output_name(varini):
    """this function return the unit and 
    long name associated to varini
    arguments:
    - varini: variable shortname
    outputs:
    - unit
    - unit_long
    - long_name)"""
    #remove the period for the climatology from the variable name
    if "nbdays" in varini:
        varini="_".join(varini.split("_")[:-1])

    unitdict={"tas":"K", "tasmin":"K", "tasmax":"K", 
              "tasmin_q10":"K", "tasmax_q90":"K",
              "prlr_01-04_nbdays_q90":"percent",
              "prlr_01-04_q90":"m/s",
              "prlr_nbdays_q90":"percent",
              "prlr_q90":"m/s",
              "tasmax_01-04_nbdays_q90":"percent",
              "tasmax_01-04_q90":"K",
              "tasmax_nbdays_q90":"percent",
              "tasmax_q90":"K",
              "tasmin_01-04_nbdays_q10":"percent",
              "tasmin_01-04_nbdays_q90":"percent",
              "sfcwind_01-04_nbdays_q10":"percent",
              "sfcwind_01-04_nbdays_q90":"percent",
              "tasmin_01-04_q10":"K",
              "tasmin_01-04_q90":"K",           
              "sfcwind_01-04_q10":"K",
              "sfcwind_01-04_q90":"K",
              "tasmin_nbdays_q10":"percent",
              "tasmin_nbdays_q90":"percent",
              "tasmin_q10":"K",
              "tasmin_q90":"K",
              "sfcwind_q90":"m/s",
              "sfcwind_q10":"m/s",
              "sfcwind_nbdays_q10":"percent",
              "sfcwind_nbdays_q90":"percent",
            "prlr":"m/s",
              "psl6h":"Pa",
              }

    unitlongdict={"tas":"Kelvin", "tasmin":"Kelvin", "tasmax":"Kelvin", 
                  "tasmin_q10":"Kelvin", "tasmax_q90":"Kelvin",
                  "prlr_01-04_nbdays_q90":"percentage",
                  "prlr_01-04_q90":"m/s",
                  "prlr_nbdays_q90":"percentage",
                  "prlr_q90":"m/s",
                  "tasmax_01-04_nbdays_q90":"percentage",
                  "tasmax_01-04_q90":"Kelvin",
                  "tasmax_nbdays_q90":"percentage",
                  "tasmax_q90":"Kelvin",
                  "tasmin_01-04_nbdays_q10":"percentage",
                  "tasmin_01-04_nbdays_q90":"percentage",
                  "tasmin_01-04_q10":"Kelvin",
                  "tasmin_01-04_q90":"Kelvin",
                  "tasmin_nbdays_q10":"percentage",
                  "tasmin_nbdays_q90":"percentage",
                  "tasmin_q10":"Kelvin",
                  "tasmin_q90":"Kelvin",
                  "sfcwind_q90":"m/s",
                  "sfcwind_q10":"m/s",
                  "sfcwind_01-04_q10":"m/s",
                  "sfcwind_01-04_q90":"m/s",
                  "sfcwind_nbdays_q10":"percentage",
                  "sfcwind_nbdays_q90":"percentage",
                  "sfcwind_01-04_nbdays_q10":"percentage",
                  "sfcwind_01-04_nbdays_q90":"percentage",
                  "prlr":"m/s",
                  "psl6h":"Pa"
                  }

    tas="daily 2m temperature "
    prlr="daily precipitation "
    tasmin="daily minimum 2m temperature "
    tasmax="daily maximum 2m temperature "
    sfcwind="module of 6hourly wind "
    q10="10th percentile of "
    q90="90th percentile of "
    nbdays_q90="percentage of days greater than the climatological "+q90
    nbdays_q10="percentage of days less than the climatological "+q90
    s0104="between leadtime month 02 and 04"

    varlongdict={"tas":tas, 
                 "tasmin":tasmin,
                 "tasmax":tasmax,
                 "prlr":prlr,
                 "tasmin_q10":
                     q10+tasmin, 
                 "tasmax_q90":
                     q90+tasmax,
                 "tasmin_q10":
                     q10+tasmin,
                 "tasmin_q90":
                     q10+tasmin,
                 "sfcwind_q10":
                     q10+sfcwind,
                 "sfcwind_q90":
                     q90+sfcwind,
                 "prlr_q90":
                     q90+prlr,
                 "prlr_01-04_q90":q90+prlr+s0104,
                 "tasmax_01-04_q90":
                     q90+tasmax+s0104,
                 "tasmin_01-04_q10":
                     q10+tasmax+s0104,
                 "sfcwind_01-04_q90":
                     q90+sfcwind+s0104,
                 "sfcwind_01-04_q10":
                     q10+sfcwind+s0104,
                 "prlr_01-04_nbdays_q90":
                     nbdays_q90+prlr+s0104,
                 "prlr_nbdays_q90":
                     nbdays_q90+prlr,
                 "tasmax_01-04_nbdays_q90":
                     nbdays_q90+tasmax+s0104,
                 "tasmax_nbdays_q90":
                     nbdays_q90+tasmax,
                 "tasmin_01-04_nbdays_q10":
                     nbdays_q10+tasmin+s0104,
                 "tasmin_01-04_nbdays_q90":
                     nbdays_q90+tasmin+s0104,
                 "tasmin_nbdays_q10":
                     nbdays_q10+tasmin,
                 "tasmin_nbdays_q90":
                     nbdays_q90+tasmin,
                 "sfcwind_nbdays_q10":
                     nbdays_q10+sfcwind,
                 "sfcwind_nbdays_q90":
                     nbdays_q90+sfcwind,
                 "sfcwind_01-04_nbdays_q10":
                     nbdays_q10+sfcwind+s0104,
                 "sfcwind_01-04_nbdays_q90":
                     nbdays_q90+sfcwind+s0104,
                 "psl6h":"monthly mean of 6hourly sea level pressure"}
    
    unit=unitdict.get(varini)
    unit_long=unitlongdict.get(varini)
    long_name=varlongdict.get(varini)

    if (unit == None) | (unit_long == None) | (long_name == None):
        print("the variable "+varini+"is no available in the set_output_name function")
        sys.exit(0)
    return((unit,unit_long,long_name))
